#------------------------------------------------------------------------
# These test are aimed at validating the diskcache
#------------------------------------------------------------------------
add_test( _createrds_verify_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --hoft_validation )
set_tests_properties( _createrds_verify_ PROPERTIES TIMEOUT 300)

add_test( _createrds_3130_reduce_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3130=reduce )
set_tests_properties( _createrds_3130_reduce_ PROPERTIES TIMEOUT 120)
add_test( _createrds_3130_resample_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3130=resample )
set_tests_properties( _createrds_3130_resample_ PROPERTIES TIMEOUT 1500)
add_test( _createrds_3130_short-reduce_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3130=short_reduce )
set_tests_properties( _createrds_3130_short-reduce_ PROPERTIES TIMEOUT 120)
add_test( _createrds_3130_resample_short-reduce_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3130=resample_short_reduce )
set_tests_properties( _createrds_3130_resample_short-reduce_ PROPERTIES TIMEOUT 1500)

add_test( _createrds_3131_reduce_1024-4_fullframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=1024x4 )
set_tests_properties( _createrds_3131_reduce_1024-4_fullframe_ PROPERTIES TIMEOUT 1200)
add_test( _createrds_3131_resample_1024-4_fullframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=1024x4_resample )
set_tests_properties( _createrds_3131_reduce_1024-4_fullframe_ PROPERTIES TIMEOUT 1200)
add_test( _createrds_3131_reduce_fullframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=64x64 )
set_tests_properties( _createrds_3131_reduce_fullframe_ PROPERTIES TIMEOUT 1200)
add_test( _createrds_3131_resample_fullframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=64x64_resample )
set_tests_properties( _createrds_3131_resample_fullframe_ PROPERTIES TIMEOUT 1200)
add_test( _createrds_3131_reduce_subframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=32x64 )
set_tests_properties( _createrds_3131_reduce_subframe_ PROPERTIES TIMEOUT 1200)
add_test( _createrds_3131_resample_subframe_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3131=32x64_resample )
set_tests_properties( _createrds_3131_resample_subframe_ PROPERTIES TIMEOUT 1200)

add_test( _createrds_3132_reduce_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3132=_reduce_ )
set_tests_properties( _createrds_3132_reduce_ PROPERTIES TIMEOUT 120)
add_test( _createrds_3132_resample_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3132=_resample_ )
set_tests_properties( _createrds_3132_resample_ PROPERTIES TIMEOUT 120)
add_test( _createrds_3132_reduce_padding_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3132=_reduce_padding_ )
set_tests_properties( _createrds_3132_reduce_padding_ PROPERTIES TIMEOUT 120)
add_test( _createrds_3132_resample_padding_  ${CMAKE_CURRENT_SOURCE_DIR}/test_createrds.py --3132=_resample_padding_ )
set_tests_properties( _createrds_3132_resample_padding_ PROPERTIES TIMEOUT 120)
